package eu.gity.jmeter.ddos.stairsddosthreadgrp.charting;

import org.apache.jorphan.gui.NumberRenderer;

public class DividerRenderer extends NumberRenderer {

    private static final long serialVersionUID = 240L;

    private final double factor;

    public DividerRenderer(double i) {
        factor = i;
    }

    public double getFactor() {
        return factor;
    }

    @Override
    public void setValue(Object value) {
        Double val = ((Long) value) / factor;
        setText(Double.toString(val));
    }
}
